Skip to main content
GET
/
v1
/
runs
Get a list of evaluation runs
curl --request GET \
  --url https://api.honeyhive.ai/v1/runs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.honeyhive.ai/v1/runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.honeyhive.ai/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "evaluations": [
    {
      "id": "<string>",
      "run_id": "<string>",
      "metadata": {},
      "results": {},
      "event_ids": [
        "<string>"
      ],
      "configuration": {},
      "is_active": true,
      "created_at": "<string>",
      "scope_type": "<string>",
      "scope_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "status": "<string>",
      "metrics": {},
      "updated_at": "<string>",
      "dataset_id": "<string>"
    }
  ],
  "pagination": {
    "page": 2,
    "limit": 2,
    "total": 1,
    "total_unfiltered": 1,
    "total_pages": 1,
    "has_next": true,
    "has_prev": true
  },
  "metrics": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

dataset_id
string

Filter by dataset ID

page
integer
default:1

Page number for pagination

Required range: x >= 1
limit
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
run_ids
string[]

List of specific run IDs to fetch

name
string

Filter by run name

status
enum<string>

Filter by run status

Available options:
pending,
completed,
failed,
cancelled,
running
dateRange

Filter by date range

sort_by
enum<string>
default:created_at

Field to sort by

Available options:
created_at,
updated_at,
name,
status
sort_order
enum<string>
default:desc

Sort order

Available options:
asc,
desc

Response

Successful response

Response for GET /runs

evaluations
object[]
required
pagination
object
required
metrics
string[]
required